Skip to main content
GET
/
v1
/
transactions
List transactions
curl --request GET \
  --url https://api.triqai.com/v1/transactions \
  --header 'X-API-Key: <api-key>'
{
  "success": true,
  "data": {
    "transactions": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "raw": "<string>",
        "country": "<string>",
        "direction": "expense",
        "status": "pending",
        "partial": true,
        "errors": [
          "<string>"
        ],
        "processingTimeMs": 123,
        "createdAt": "2023-11-07T05:31:56Z",
        "transaction": {
          "category": {
            "primary": {
              "name": "<string>",
              "code": {
                "mcc": 123,
                "sic": 123,
                "naics": 123
              }
            },
            "secondary": {
              "name": "<string>",
              "code": {
                "mcc": 123,
                "sic": 123,
                "naics": 123
              }
            },
            "tertiary": {
              "name": "<string>",
              "code": {
                "mcc": 123,
                "sic": 123,
                "naics": 123
              }
            },
            "confidence": {
              "value": 50,
              "reasons": [
                "<string>"
              ]
            }
          },
          "subscription": {
            "recurring": true,
            "type": "streaming"
          },
          "channel": "in_store",
          "confidence": {
            "value": 50,
            "reasons": [
              "<string>"
            ]
          }
        },
        "entities": [
          {
            "type": "merchant",
            "role": "<string>",
            "confidence": {
              "value": 50,
              "reasons": [
                "<string>"
              ]
            },
            "data": {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "name": "<string>",
              "alias": [
                "<string>"
              ],
              "icon": "<string>",
              "color": "<string>",
              "website": "<string>",
              "domain": "<string>",
              "keywords": [
                "<string>"
              ],
              "description": "<string>"
            }
          }
        ]
      }
    ],
    "pagination": {
      "page": 123,
      "size": 123,
      "total": 123,
      "totalPages": 123
    }
  },
  "meta": {
    "generatedAt": "2023-11-07T05:31:56Z",
    "requestId": "<string>",
    "version": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

Public API key

Query Parameters

page
integer
default:1
Required range: x >= 1
size
integer
default:25
Required range: 1 <= x <= 100
startDate
string<date-time>

Inclusive lower bound (ISO 8601 timestamp)

endDate
string<date-time>

Inclusive upper bound (ISO 8601 timestamp)

Response

Paginated transactions

success
enum<boolean>
required
Available options:
true
data
object
required
meta
object
required